Bug 9101 - (int-145028) Wifi doesn't enter power saving mode properly (wl1251: ERROR Power save entry failed, giving up)
(int-145028)
: Wifi doesn't enter power saving mode properly (wl1251: ERROR Power save entry...
Status: NEW
Product: Connectivity
WiFi
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified normal with 3 votes (vote)
: 5.0+
Assigned To: unassigned
: wifi-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-17 12:41 UTC by Robert Piasek
Modified: 2012-07-26 23:45 UTC (History)
10 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Robert Piasek (reporter) 2010-02-17 12:41:49 UTC
After the most recent update, wifi doesn't enter power saving mode properly.

[16032.534912] wl1251: ERROR Power save entry failed, giving up
[16267.315734] slide (GPIO 71) is now open                     
[16565.807922] slide (GPIO 71) is now closed                   
[17266.792266] slide (GPIO 71) is now open                     
[17320.113098] wl1251: ERROR Power save entry failed, giving up
[17320.378479] wl1251: ERROR Power save entry failed, giving up
[17364.105194] wl1251: ERROR Power save entry failed, giving up
[17364.589599] wl1251: ERROR Power save entry failed, giving up
[17378.150543] gprs0: attached                                 
[17383.823486] wlan0: deauthenticating by local choice (reason=3)
[17384.011108] wl1251: down                                      
[17547.956268] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[17547.971862] wl1251: firmware booted (Rev 4.0.4.3.7)                  
[17548.776885] wl1251: down                                             
[17550.526672] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[17550.542327] wl1251: firmware booted (Rev 4.0.4.3.7)                  
[17551.237579] wlan0: authenticate with AP 00:1c:10:e9:50:b8            
[17551.241912] wlan0: authenticated                                     
[17551.241973] wlan0: associate with AP 00:1c:10:e9:50:b8               
[17551.245452] wlan0: RX AssocResp from 00:1c:10:e9:50:b8 (capab=0x411 status=0
aid=3)
[17551.245513] wlan0: associated                                                
[17554.450836] gprs0: detached                                                  
[17794.745483] wl1251: ERROR Power save entry failed, giving up                 
[17795.027099] wl1251: ERROR Power save entry failed, giving up                 
[17796.862915] wl1251: ERROR Power save entry failed, giving up                 
[17943.932861] slide (GPIO 71) is now closed                                    
[30715.557861] slide (GPIO 71) is now open                                      
[30731.285095] wlan0: roaming signal from driver, sending LOWSIGNAL             
[30732.309814] wlan0: roaming signal from driver, sending HIGHSIGNAL            
...
(some time later)
...
[53995.497070] wlan0: roaming signal from driver, sending LOWSIGNAL             
[54006.902923] wl1251: ERROR Power save entry failed, giving up                 
[54021.550689] wl1251: ERROR Power save entry failed, giving up                 
[54021.720245] wlan0: driver reports beacon loss from AP cf1bb52c - sending
probe request
[54023.745452] wlan0: no probe response from AP cf1bb52c - disassociating       
[54024.890686] wlan0: direct probe to AP 00:1c:10:e9:50:b8 try 1                


REPRODUCIBILITY:
sometimes.



OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2)
Gecko/20100215 Gentoo Firefox/3.6
Comment 1 Andre Klapper maemo.org 2010-02-17 14:06:06 UTC
Hi,
please provide some basic info, e.g. if this is specific to one router or if
this also happens with another WiFi plus configuration info.

Also, what does "sometimes" mean? 1 out of 10? 5 out of 10?
Comment 2 Robert Piasek (reporter) 2010-02-17 15:21:23 UTC
I didn't have this problem before yesterday's firmware update. I assume problem
is firmware related.

Personally I don't think "wl1251: ERROR Power save entry failed, giving up" has
anything to do with access point/router (especially when it worked ok before
update).

Because problem happens without any user interaction, I can't specify 1/10 or
5/10. Looking at the log I provided I'm guessing it happens when connection
manager deactivates wireless interface (either due to GPRS failover or loosing
WIFI signal). Firmware ties then put wifi card in power saving mode - which
fails.
I will try manually reproduce problem by changing internet connection from wifi
to GPRS and report my results.

Rob
Comment 3 Robert Piasek (reporter) 2010-02-17 15:22:31 UTC
(In reply to comment #2)
> Firmware ties then put wifi card in power saving mode - which
> fails.
Firmware tries to put wifi card to power saving mode**
Comment 4 Robert Piasek (reporter) 2010-02-18 19:04:34 UTC
I can't manually reproduce this problem. It seems it triggers pretty randomly.
Comment 5 jasaw81 2010-02-26 01:52:42 UTC
I've got the same wifi power save problem. Here's part of my dmesg.

[  256.873870] wlan0: roaming signal from driver, sending LOWSIGNAL
[  263.233886] wlan0: driver reports beacon loss from AP cf1bb52c - sending
probe request
[  264.962829] wlan0: driver reports beacon loss from AP cf1bb52c - sending
probe request
[  265.994598] wl1251: ERROR Power save entry failed, giving up
[  266.994201] wl1251: ERROR Power save entry failed, giving up
[  266.994415] wlan0: no probe response from AP cf1bb52c - disassociating

I'm running a Linux PC as access point, and have 3 laptops and 2 other phones
connected to it without problem. The last thing I did before power save error
was I put my N900 in a corner with very weak wifi signal.
Comment 6 Andre Klapper maemo.org 2010-03-01 15:37:17 UTC
Which exact WiFi router(s) is this about (hardware, model, firmware etc)?
WPA, WEP? Which exact auth method?
Comment 7 Maciej Prill 2010-03-02 00:40:29 UTC
I am experiencing the same problem:
[12372.611389] wl1251: firmware booted (Rev 4.0.4.3.7)
[12373.282897] wlan0: authenticate with AP 00:22:3f:xx:xx:xx
[12373.287689] wlan0: authenticated
[12373.287719] wlan0: associate with AP 00:22:3f:xx:xx:xx
[12373.341003] wlan0: RX AssocResp from 00:22:3f:xx:xx:xx(capab=0x431 status=0
aid=1)
[12373.341033] wlan0: associated
[12374.223205] wlan0: roaming signal from driver, sending LOWSIGNAL
[12382.314025] slide (GPIO 71) is now open
[12385.497283] wlan0: driver reports beacon loss from AP cf1bb52c - sending
probe request
[12386.510009] wl1251: ERROR Power save entry failed, giving up
[12386.634552] wl1251: ERROR Power save entry failed, giving up

AP: Netgear DG834Gv5, Firmware Version V6.00.25 (not the newest available
because that one removes QoS), WPA-PSK+WPA2-PSK, WPS turned off
Configuration: static IP, 100 mW power, WPA2-only mode disabled, Power saving:
On (maximum)
Comment 8 jasaw81 2010-03-02 01:26:42 UTC
(In reply to comment #5)
> I've got the same wifi power save problem. Here's part of my dmesg.
> 
> [  256.873870] wlan0: roaming signal from driver, sending LOWSIGNAL
> [  263.233886] wlan0: driver reports beacon loss from AP cf1bb52c - sending
> probe request
> [  264.962829] wlan0: driver reports beacon loss from AP cf1bb52c - sending
> probe request
> [  265.994598] wl1251: ERROR Power save entry failed, giving up
> [  266.994201] wl1251: ERROR Power save entry failed, giving up
> [  266.994415] wlan0: no probe response from AP cf1bb52c - disassociating
> 
> I'm running a Linux PC as access point, and have 3 laptops and 2 other phones
> connected to it without problem. The last thing I did before power save error
> was I put my N900 in a corner with very weak wifi signal.
> 

WiFi chipset: Atheros a/b/g
WiFi security: WPA, accepts TKIP and CCMP, and use preshared key.
Comment 9 Robert Piasek (reporter) 2010-03-02 13:25:17 UTC
I don't think this has anything to do with router/ap. I've seen it on 4
different APs so far (cisco, linksys, netgear, dlink).

Because I did NOT have this problem before updating to 3.2010.02-8, I assume
it's a wifi firmware bug (firmware version was updated during 3.2010.02-8
upgrade).
Comment 10 Eduardo Otubo 2010-04-15 08:41:06 UTC
Same problem here. After some time I just stops pinging the router (I have a
Linksys)

I just have these messages at the end of dmesg:

[ 1754.494812] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 1780.606842] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 1781.630767] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 1787.877288] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 1788.901397] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 1969.435516] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 1970.458953] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 2028.930816] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 2033.029724] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 2034.052185] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 2036.917419] wlan0: roaming signal from driver, sending HIGHSIGNAL
[ 2277.765197] wlan0: roaming signal from driver, sending LOWSIGNAL
[ 2279.301666] wlan0: roaming signal from driver, sending HIGHSIGNAL

Wondering what could solve this problem.
Comment 11 Andre Klapper maemo.org 2010-04-21 19:24:32 UTC
Confirming as per comments here.

Do other reporters here also moved the Nokia device a to areas with a weak wifi
signal?

(In reply to comment #5)
> [  266.994201] wl1251: ERROR Power save entry failed, giving up
> [  266.994415] wlan0: no probe response from AP cf1bb52c - disassociating
> I'm running a Linux PC as access point, and have 3 laptops and 2 other phones
> connected to it without problem. The last thing I did before power save error
> was I put my N900 in a corner with very weak wifi signal.

This issue just indicates that the AP can no longer be communicated with.
There is an internal ticket (note to myself: int-154900) about "WLAN connection
not disconnected after moving out of range" which is not fixed yet.
Comment 12 Eero Tamminen nokia 2010-04-22 12:03:39 UTC
(In reply to comment #9)
> I don't think this has anything to do with router/ap. I've seen it on 4
> different APs so far (cisco, linksys, netgear, dlink).
> 
> Because I did NOT have this problem before updating to 3.2010.02-8, I assume
> it's a wifi firmware bug (firmware version was updated during 3.2010.02-8
> upgrade).

Which firmware version you had before the update, the initial or the 2009.51-1
one?

(There was a wifi regression fix between 51-1 and 02-8.)
Comment 13 Robert Piasek (reporter) 2010-04-22 13:05:23 UTC
(In reply to comment #12)
> (In reply to comment #9)
> Which firmware version you had before the update, the initial or the 2009.51-1
> one?
> 
> (There was a wifi regression fix between 51-1 and 02-8.)
> 

I had firmware version 2009.51-1


I'm not really convinced it's related to loosing singal due to it's weakness,
as I can reproduce this issue by leaving my phone for a day 1m away from AP
where signal strength is 100%. As mentioned before - I didn't have this problem
with 2009.51-1.

Hope that helps.

Rob
Comment 14 Ricardo Salveti 2010-05-06 20:16:47 UTC
I was also affected by this error when using my N900 with a weak wifi signal.

Had to disconnect and connect at the AP again to be able to ping google.
Comment 15 Bill Segall 2010-05-27 11:28:55 UTC
This still happens with PR-1.2
Comment 16 Pali Rohár 2011-07-26 11:22:11 UTC
Still problem in PR 1.3. My dmesg log:

[52842.872009] wl1251: firmware booted (Rev 4.0.4.3.7)
[52842.974060] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[52846.231506] wl1251: down
[52856.012603] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[52856.028167] wl1251: firmware booted (Rev 4.0.4.3.7)
[52856.145874] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[52857.341094] wl1251: down
[52860.457855] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[52860.473510] wl1251: firmware booted (Rev 4.0.4.3.7)
[52860.614776] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[52861.465698] wlan0: authenticate with AP 00:23:69:7d:4f:82
[52861.468444] wlan0: authenticated
[52861.468475] wlan0: associate with AP 00:23:69:7d:4f:82
[52861.472198] wlan0: RX AssocResp from 00:23:69:7d:4f:82 (capab=0x431 status=0
aid=1)
[52861.472229] wlan0: associated
[52861.552062] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[52862.268157] wlan0: roaming signal from driver, sending LOWSIGNAL
[52864.557495] wlan0: deauthenticated
[52865.684631] wlan0: authenticate with AP 00:23:69:7d:4f:82
[52865.687591] wlan0: authenticated
[52865.687622] wlan0: associate with AP 00:23:69:7d:4f:82
[52865.691406] wlan0: RX AssocResp from 00:23:69:7d:4f:82 (capab=0x431 status=0
aid=1)
[52865.691406] wlan0: associated
[52866.568908] wlan0: roaming signal from driver, sending LOWSIGNAL
[52872.004608] wlan0: no IPv6 routers present
[52882.090972] wl1251: ERROR Power save entry failed, giving up
[52918.181335] wlan0: roaming signal from driver, sending HIGHSIGNAL
[52921.457397] wlan0: roaming signal from driver, sending LOWSIGNAL
[52925.758361] wlan0: roaming signal from driver, sending HIGHSIGNAL
[52930.366851] wlan0: roaming signal from driver, sending LOWSIGNAL
[52975.947723] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53009.536407] wlan0: roaming signal from driver, sending LOWSIGNAL
[53022.234985] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53061.661529] wlan0: roaming signal from driver, sending LOWSIGNAL
[53067.190460] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53070.661010] wlan0: roaming signal from driver, sending LOWSIGNAL
[53096.876342] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53125.754455] wlan0: roaming signal from driver, sending LOWSIGNAL
[53134.357757] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53183.419921] wlan0: roaming signal from driver, sending LOWSIGNAL
[53190.280273] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53198.779785] wlan0: roaming signal from driver, sending LOWSIGNAL
[53207.381713] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53223.869110] wlan0: roaming signal from driver, sending LOWSIGNAL
[53225.906188] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53236.157409] wlan0: roaming signal from driver, sending LOWSIGNAL
[53243.633544] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53254.385833] wlan0: roaming signal from driver, sending LOWSIGNAL
[53263.295043] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53267.290313] wlan0: roaming signal from driver, sending LOWSIGNAL
[53360.988433] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53368.976501] wlan0: roaming signal from driver, sending LOWSIGNAL
[53379.216857] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53386.887359] wlan0: roaming signal from driver, sending LOWSIGNAL
[53442.594909] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53447.407806] wlan0: roaming signal from driver, sending LOWSIGNAL
[53465.543914] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53475.159881] wlan0: roaming signal from driver, sending LOWSIGNAL
[53496.489471] wl1251: ERROR Power save entry failed, giving up
[53510.653656] wl1251: ERROR Power save entry failed, giving up
[53591.592315] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53596.201873] wlan0: roaming signal from driver, sending LOWSIGNAL
[53611.562561] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53647.413208] wlan0: roaming signal from driver, sending LOWSIGNAL
[53654.777252] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53657.541870] wlan0: roaming signal from driver, sending LOWSIGNAL
[53669.226043] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53695.953491] wlan0: roaming signal from driver, sending LOWSIGNAL
[53708.754669] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53721.953552] wlan0: roaming signal from driver, sending LOWSIGNAL
[53731.181060] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53733.729858] wlan0: roaming signal from driver, sending LOWSIGNAL
[53821.399566] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53830.410644] wlan0: roaming signal from driver, sending LOWSIGNAL
[53833.268035] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53840.742340] wlan0: roaming signal from driver, sending LOWSIGNAL
[53852.008270] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53859.186645] wlan0: roaming signal from driver, sending LOWSIGNAL
[53866.447784] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53879.248352] wlan0: roaming signal from driver, sending LOWSIGNAL
[53885.401947] wlan0: roaming signal from driver, sending HIGHSIGNAL
[53903.108459] wlan0: roaming signal from driver, sending LOWSIGNAL
[53911.184631] wl1251: ERROR Power save entry failed, giving up
[53919.645721] wl1251: ERROR Power save entry failed, giving up
[53927.583251] wl1251: ERROR Power save entry failed, giving up
[53928.865142] wl1251: ERROR Power save entry failed, giving up
[53964.544097] wl1251: ERROR Power save entry failed, giving up
[53966.208251] wl1251: ERROR Power save entry failed, giving up
[53994.364624] wl1251: ERROR Power save entry failed, giving up
[53994.801788] wl1251: ERROR Power save entry failed, giving up
[53995.848663] wl1251: ERROR Power save entry failed, giving up
[54091.838287] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54117.647399] wlan0: roaming signal from driver, sending LOWSIGNAL
[54161.688812] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54167.116577] wlan0: roaming signal from driver, sending LOWSIGNAL
[54171.919952] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54189.235961] wlan0: roaming signal from driver, sending LOWSIGNAL
[54210.286621] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54218.114074] wlan0: roaming signal from driver, sending LOWSIGNAL
[54223.336700] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54230.095397] wlan0: roaming signal from driver, sending LOWSIGNAL
[54286.008209] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54289.797210] wlan0: roaming signal from driver, sending LOWSIGNAL
[54296.657928] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54304.543334] wlan0: roaming signal from driver, sending LOWSIGNAL
[54329.417724] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54336.892639] wlan0: roaming signal from driver, sending LOWSIGNAL
[54342.319396] wlan0: roaming signal from driver, sending HIGHSIGNAL
[54349.089050] wlan0: roaming signal from driver, sending LOWSIGNAL
[55358.551971] wl1251: ERROR Power save entry failed, giving up
[55369.818176] wlan0: roaming signal from driver, sending HIGHSIGNAL
[55370.880462] wlan0: roaming signal from driver, sending LOWSIGNAL
[55544.661193] wlan0: roaming signal from driver, sending HIGHSIGNAL
[55546.701232] wlan0: roaming signal from driver, sending LOWSIGNAL
[55596.466644] wlan0: roaming signal from driver, sending HIGHSIGNAL
[55604.556396] wlan0: roaming signal from driver, sending LOWSIGNAL
[55958.879180] wlan0: roaming signal from driver, sending HIGHSIGNAL
[55960.002288] wlan0: roaming signal from driver, sending LOWSIGNAL
[56052.177764] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56059.438201] wlan0: roaming signal from driver, sending LOWSIGNAL
[56083.502258] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56090.892059] wlan0: roaming signal from driver, sending LOWSIGNAL
[56266.805786] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56272.745544] wlan0: roaming signal from driver, sending LOWSIGNAL
[56322.822174] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56324.562194] wlan0: roaming signal from driver, sending LOWSIGNAL
[56327.850067] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56330.810974] wlan0: roaming signal from driver, sending LOWSIGNAL
[56375.058929] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56392.763824] wlan0: roaming signal from driver, sending LOWSIGNAL
[56433.829467] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56444.182128] wlan0: roaming signal from driver, sending LOWSIGNAL
[56562.766357] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56567.783935] wlan0: roaming signal from driver, sending LOWSIGNAL
[56569.413299] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56570.538299] wlan0: roaming signal from driver, sending LOWSIGNAL
[56627.281158] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56629.728973] wlan0: roaming signal from driver, sending LOWSIGNAL
[56793.512908] wl1251: ERROR Power save entry failed, giving up
[56959.076263] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56960.493988] wlan0: roaming signal from driver, sending LOWSIGNAL
[56983.075500] wlan0: roaming signal from driver, sending HIGHSIGNAL
[56986.506347] wlan0: roaming signal from driver, sending LOWSIGNAL
[57019.888580] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57025.419891] wlan0: roaming signal from driver, sending LOWSIGNAL
[57084.005432] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57092.505035] wlan0: roaming signal from driver, sending LOWSIGNAL
[57107.046173] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57111.244781] wlan0: roaming signal from driver, sending LOWSIGNAL
[57163.266235] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57175.032775] wlan0: roaming signal from driver, sending LOWSIGNAL
[57223.889678] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57233.095794] wlan0: roaming signal from driver, sending LOWSIGNAL
[57282.874664] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57287.994934] wlan0: roaming signal from driver, sending LOWSIGNAL
[57503.512939] wl1251: ERROR Power save entry failed, giving up
[57505.161224] wl1251: ERROR Power save entry failed, giving up
[57505.895843] wl1251: ERROR Power save entry failed, giving up
[57510.091156] wl1251: ERROR Power save entry failed, giving up
[57510.481658] wl1251: ERROR Power save entry failed, giving up
[57519.231658] wl1251: ERROR Power save entry failed, giving up
[57519.622406] wl1251: ERROR Power save entry failed, giving up
[57524.231658] wl1251: ERROR Power save entry failed, giving up
[57525.112030] wl1251: ERROR Power save entry failed, giving up
[57526.231658] wl1251: ERROR Power save entry failed, giving up
[57537.302001] wl1251: ERROR Power save entry failed, giving up
[57538.458343] wl1251: ERROR Power save entry failed, giving up
[57539.458221] wl1251: ERROR Power save entry failed, giving up
[57546.747283] wl1251: ERROR Power save entry failed, giving up
[57573.385101] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57578.402526] wlan0: roaming signal from driver, sending LOWSIGNAL
[57590.442535] wl1251: ERROR Power save entry failed, giving up
[57598.679107] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57599.950012] slide (GPIO 71) is now closed
[57600.278350] wl1251: ERROR Power save entry failed, giving up
[57600.419464] wlan0: roaming signal from driver, sending LOWSIGNAL
[57602.467559] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57602.950561] wl1251: ERROR Power save entry failed, giving up
[57604.515838] wlan0: roaming signal from driver, sending LOWSIGNAL
[57607.997772] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57817.315155] wlan0: roaming signal from driver, sending LOWSIGNAL
[57826.428588] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57834.740112] wlan0: roaming signal from driver, sending LOWSIGNAL
[57881.215179] wlan0: roaming signal from driver, sending HIGHSIGNAL
[57889.833526] wlan0: roaming signal from driver, sending LOWSIGNAL
[57901.200653] wlan0: roaming signal from driver, sending HIGHSIGNAL
[58092.423187] wl1251: ERROR Power save entry failed, giving up
[66158.329406] wl1251: ERROR Power save entry failed, giving up
[67417.716949] wl1251: ERROR Power save entry failed, giving up
[69685.974700] wl1251: ERROR Power save entry failed, giving up
[83446.661437] slide (GPIO 71) is now open
[83447.528991] wlan0: roaming signal from driver, sending LOWSIGNAL
[83447.997222] wl1251: ERROR Power save entry failed, giving up
[83449.833709] wl1251: ERROR Power save entry failed, giving up
[83452.161193] wl1251: ERROR Power save entry failed, giving up
[83461.684875] wlan0: roaming signal from driver, sending HIGHSIGNAL
[83721.163055] wlan0: roaming signal from driver, sending LOWSIGNAL
[83728.740356] wlan0: driver reports beacon loss from AP cff38d2c - sending
probe request
[83730.828399] wlan0: no probe response from AP cff38d2c - disassociating
[83732.176788] wlan0: authenticate with AP 00:23:69:7d:4f:82
[83732.373077] wlan0: authenticate with AP 00:23:69:7d:4f:82
[83732.568359] wlan0: authenticate with AP 00:23:69:7d:4f:82
[83732.763702] wlan0: authentication with AP 00:23:69:7d:4f:82 timed out
[83734.028350] wlan0: direct probe to AP 00:23:69:7d:4f:82 try 1
[83734.224639] wlan0: direct probe to AP 00:23:69:7d:4f:82 try 2
[83734.419982] wlan0: direct probe to AP 00:23:69:7d:4f:82 try 3
[83734.615264] wlan0: direct probe to AP 00:23:69:7d:4f:82 timed out
[83735.302703] wl1251: down
[83745.051544] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[83745.067291] wl1251: firmware booted (Rev 4.0.4.3.7)
[83745.185058] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[83745.989898] wl1251: down
[85669.036193] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[85669.051666] wl1251: firmware booted (Rev 4.0.4.3.7)
[85669.153717] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[85670.426940] wl1251: down
[85680.981414] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[85680.996948] wl1251: firmware booted (Rev 4.0.4.3.7)
[85681.114746] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[85682.419158] wl1251: down
[85685.090637] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[85685.106323] wl1251: firmware booted (Rev 4.0.4.3.7)
[85685.223907] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[85685.989471] wlan0: authenticate with AP 00:23:69:7d:4f:82
[85685.992034] wlan0: authenticated
[85685.992065] wlan0: associate with AP 00:23:69:7d:4f:82
[85685.995910] wlan0: RX AssocResp from 00:23:69:7d:4f:82 (capab=0x431 status=0
aid=2)
[85685.995941] wlan0: associated
[85686.075317] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[85691.179046] wlan0: roaming signal from driver, sending LOWSIGNAL
[85694.353179] wlan0: roaming signal from driver, sending HIGHSIGNAL
[85696.082763] wlan0: no IPv6 routers present
[85699.021240] wlan0: roaming signal from driver, sending LOWSIGNAL
[85705.003601] wlan0: roaming signal from driver, sending HIGHSIGNAL
[85715.858337] wlan0: roaming signal from driver, sending LOWSIGNAL
[85717.536499] wl1251: ERROR Power save entry failed, giving up
[85728.966186] wlan0: roaming signal from driver, sending HIGHSIGNAL
[85731.218475] wlan0: roaming signal from driver, sending LOWSIGNAL
[85736.748413] wlan0: roaming signal from driver, sending HIGHSIGNAL
[85752.416717] wlan0: roaming signal from driver, sending LOWSIGNAL
[85753.645324] wlan0: roaming signal from driver, sending HIGHSIGNAL
Comment 17 bugzillabeast 2012-07-26 23:45:51 UTC
Having similar issues.
http://talk.maemo.org/showthread.php?t=85701